/**
 *******************************************************************************
 * @file    txz_sample_def.h
 * @brief   This file includes header files for sample application.
 * @version V1.0.1.0
 * $Date:: 2019-05-10 11:52:33 #$
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TXZ_SAMPLE_DEF_H
#define __TXZ_SAMPLE_DEF_H

#define TRMOSC_SAMPLE
/* #define TRMOSC_LOSC */

#include "txz_driver_def.h"
#include "txz_t32a.h"
#include "trm.h"

    #define BSP_T32A_REFIN                 TSB_T32A1
    #define BSP_INTT32A_REFIN_ACCAP0_IRQn  INTT32A01ACCAP0_IRQn
    #define BSP_INTT32A_REFIN_ACCAP1_IRQn  INTT32A01ACCAP1_IRQn
    #define BSP_T32A_REFIN_RUNA_SFTSTPA    TSB_T32A1_RUNA_SFTSTPA
    #define BSP_T32A_SOUT                  TSB_T32A3
    #define BSP_T32A_SOUT_RUNA_SFTSTAA     TSB_T32A3_RUNA_SFTSTAA

#endif  /* __TXZ_SAMPLE_DEF_H */
